LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Structures | Macros | Enumerations | Functions
omc-learn.h File Reference
`#include "osc.h"`

Go to the source code of this file.

## Data Structures
struct | lives_omc_macro_t
struct | lives_omc_match_node_t
struct | omclearn_w

## Macros
#define | N_OMC_MACROS 32
#define | OMC_FP_FIX 4
#define | OMC_MIDI_IMPL
#define | OMC_PARAM_INT 1
#define | OMC_PARAM_DOUBLE 2
#define | OMC_PARAM_SPECIAL 128
| can be int or double, depending on effect type More...
#define | OMC_JS 1
#define | OMC_JS_AXIS 2
#define | OMC_JS_BUTTON 3
#define | OMC_MIDI 128
#define | OMC_MIDI_NOTE 129
#define | OMC_MIDI_NOTE_OFF 130
#define | OMC_MIDI_CONTROLLER 131
#define | OMC_MIDI_PITCH_BEND 132
#define | OMC_MIDI_PGM_CHANGE 133
#define | OMC_FILE_VSTRING "LiVES OMC map version 1.0"
#define | OSC_BUF_SIZE 1024
#define | OSC_MAX_TYPETAGS 64

## Enumerations
enum | { TITLE_COLUMN, VALUE_COLUMN, FILTER_COLUMN, RANGE_COLUMN, OFFS1_COLUMN, SCALE_COLUMN, OFFS2_COLUMN, NUM_COLUMNS }
enum | { TITLE2_COLUMN, VALUE2_COLUMN, NUM2_COLUMNS }

## Functions
char * | midi_mangle (void)
const char * | get_midi_filename (void)
boolean | midi_open (void)
void | midi_close (void)
void | on_midi_learn_activate (LiVESMenuItem *, livespointer)
| start learning MIDI inputs More...
boolean | omc_process_string (int supertype, const char *string, boolean learn, omclearn_w *omclw)
void | on_midi_save_activate (LiVESMenuItem *, livespointer)
void | on_midi_load_activate (LiVESMenuItem *, livespointer)
OSCbuf * | omc_learner_decode (int type, int index, const char *string)
| decode learnt behaviours More...

## Macro Definition Documentation

#define N_OMC_MACROS 32

max number of macros

#define OMC_FILE_VSTRING "LiVES OMC map version 1.0"

#define OMC_FP_FIX 4

floating point precision

#define OMC_JS 1

#define OMC_JS_AXIS 2

#define OMC_JS_BUTTON 3

#define OMC_MIDI 128

#define OMC_MIDI_CONTROLLER 131

#define OMC_MIDI_IMPL

#define OMC_MIDI_NOTE 129

#define OMC_MIDI_NOTE_OFF 130

#define OMC_MIDI_PGM_CHANGE 133

#define OMC_MIDI_PITCH_BEND 132

#define OMC_PARAM_DOUBLE 2

#define OMC_PARAM_INT 1

#define OMC_PARAM_SPECIAL 128

can be int or double, depending on effect type

#define OSC_BUF_SIZE 1024

#define OSC_MAX_TYPETAGS 64

## Enumeration Type Documentation

anonymous enum

Enumerator
TITLE_COLUMN |
VALUE_COLUMN |
FILTER_COLUMN |
RANGE_COLUMN |
OFFS1_COLUMN |
SCALE_COLUMN |
OFFS2_COLUMN |
NUM_COLUMNS |

anonymous enum

Enumerator
TITLE2_COLUMN |
VALUE2_COLUMN |
NUM2_COLUMNS |

## Function Documentation

const char* get_midi_filename | ( | void |  | ) |

void midi_close | ( | void |  | ) |

char* midi_mangle | ( | void |  | ) |

boolean midi_open | ( | void |  | ) |

OSCbuf* omc_learner_decode | ( | int | type,
|  | int | index,
|  | const char * | string
| ) |  |

decode learnt behaviours

boolean omc_process_string | ( | int | supertype,
|  | const char * | string,
|  | boolean | learn,
|  | omclearn_w * | omclw
| ) |  |

process a string (i.e. convert to an OSC message and pass to OSC subsys) only need to set omclw if learn is TRUE

void on_midi_learn_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

start learning MIDI inputs

void on_midi_load_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

void on_midi_save_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |